import { globby } from 'globby';
import { PipelineBoxBuilder } from './PipelineBuilder.js';
import { log } from '../../lib/log.js';

var handler = async (args) => {
    const { outdir, srcdir, box } = args;
    // Scan source dir for markrdown files
    const files = await globby(["**/*.md", "**/*.mdx"], {
        cwd: srcdir,
        ignore: ["**/node_modules"],
    });
    const builder = new PipelineBoxBuilder(log, box, srcdir, outdir);
    // Build all files
    await builder.build(files);
};

export { handler as default };
